from django.core.management.base import BaseCommand
from app.models import PeopleResource, Role


class Command(BaseCommand):
    help = 'Fix roles'

    def handle(self, *args, **options):
        prs = PeopleResource.objects.all()
        roles = Role.objects.all()
        role_map = {r.role: r for r in roles}
        for pr in prs:
            pr.p_r_role = role_map.get(pr.role, role_map.get(''))
            pr.save()
            print("Done %s -- %s -- %s -- %s" % (pr.id, pr.role, pr.resource, pr.person))
        print("Done all")
